<?php
// WizyTówka - admin/instalacja.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

  if ( empty($_POST['imie_i_nazwisko']) or empty($_POST['email']) or empty($_POST['adres']) or empty($_POST['haslo_1']) )
    $komunikat = 'Nie wypełniono wszystkich wymaganych pól.';
  elseif ( empty($_POST['akceptacja_licencji']) )
    $komunikat = 'Akceptacja licencji jest wymagana.';
  elseif ( $_POST['haslo_1'] != $_POST['haslo_2'] )
    $komunikat = 'Podane hasła nie są identyczne.';
  elseif ( !sprawdz_email($_POST['email']) )
    $komunikat = 'Podany adres e-mail jest niepoprawny.';
  elseif ( !sprawdz_adres($_POST['adres']) )
    $komunikat = 'Podany adres strony jest niepoprawny.';
  
  else {
  
    $blad = false;
    foreach ( $wymagane_foldery as $folder ) {
      if ( !mkdir($folder) ) {
        $blad = $folder;
        break;
      }                                                             
      elseif ( $folder != PLIKI ) {
        zapisz_plik( $folder.'/index.html', '<!doctype html>' );
        if ( $folder != DANE and $folder != DANE.'/motywy' and $folder != DANE.'/typy' )
          zapisz_plik( $folder.'/.htaccess', 'Deny from all' );
      }
    }
    
    if ( !$blad ) {
    
      $ac = getdate();
      $najblizsza_polnoc = mktime(0,0,0,$ac['mon'],$ac['mday']+1,$ac['year']);
      
      $domyslna_podstrona = array(
        'identyfikator' => 'strona-glowna',
        'strona' => array('tytul_podstrony' => 'Strona główna', 'typ_podstrony' => 's__strona'),
        'zawartosc' => array('tresc' => 'To jest przykładowa strona główna witryny opartej na prostym systemie zarządzania treścią **WizyTówka '.WERSJA.'**.'."\n\n".'Aby zarządzać swoją witryną przejdź do [panelu administracyjnego](admin.php).')
      );
    
      $domyslna_konfiguracja = array(
        'ustawienia' => array(
          'tytul' => $_POST['imie_i_nazwisko'], 'uklad_tytulu' => '%s – '.$_POST['imie_i_nazwisko'], 'adres' => $_POST['adres'],
          'autor' => $_POST['imie_i_nazwisko'], 'strona_glowna' => $domyslna_podstrona['identyfikator'],
          'opis' => '', 'slowa_kluczowe' => '', 'nie_indeksuj_strony' => '','generuj_mape_strony' => '1',
          'typografia_cudzyslowy' => '1', 'typografia_pozostale' => '1', 'typografia_spojniki' => '1', 'markdown' => '1',
          'email' => $_POST['email'], 'format_daty' => 'd.m.Y H:i:s', 'przyjazne_adresy' => '', 'promocja_wt' => '1',
          'pomoc_poczatkujacy' => '1', 'reset_hasla' => '1', 'edytor' => '', 'kontrast' => '', 'przerwa_techniczna' => '',
          'link_edycja' => '1'
        ),
        'wyglad' => array(
          'kolor_tekstu' => '#000000', 'kolor_tla' => '#FFFFFF', 'rozmiar_tekstu' => '15', 'kroj_tekstu' => 'Arial',
          'szerokosc_strony' => '750', 'logo' => '', 'motyw' => 's_notatnik', 'ustawienia_uzytkownika' => '1'
        ),
        'statystyki' => array(
          'wejscia_dzisiaj' => '0', 'data_ostatniego_wejscia' => '—', 'wejscia_wszystkie' => '0',
          'uplyw_waznosci_wejsc_dzisiaj' => $najblizsza_polnoc, 'licznik' => '1', 'tekst_licznika' => 'Stronę odwiedziło już %s osób',
          'statystyki_zewnetrzne' => '', 'statystyki_zewnetrzne_niezalogowanym' => '1'
        ),
        'menu' => array(
          'menu_glowne' => array($domyslna_podstrona['identyfikator']), 'menu_dodatkowe' => array(''), 'automatyczne_dodawanie' => '1'
        ),
        'uzytkownik' => array(
          'kod' => '', 'data_instalacji' => date(FORMAT_DATY), 'data_instalacji_unix' => time(), 'haslo' => '',
        )
      );
      
      zapis_konf( 'ustawienia', $domyslna_konfiguracja['ustawienia'] );
      zapis_konf( 'wyglad', $domyslna_konfiguracja['wyglad'] );
      zapis_konf( 'statystyki', $domyslna_konfiguracja['statystyki'] );
      zapis_konf( 'menu', $domyslna_konfiguracja['menu'] );
      zapis_konf( 'uzytkownik', $domyslna_konfiguracja['uzytkownik'] );
      zapis_konf_poj( 'uzytkownik', 'haslo', przygotuj_haslo($_POST['haslo_1']) );
      
      zapis_podstrona( $domyslna_podstrona['identyfikator'], $domyslna_podstrona['strona'], $domyslna_podstrona['zawartosc'] );
      
      $adres_admin = odczyt_konf('ustawienia','adres') . '/admin.php';
      $haslo = str_repeat( '*', strlen($_POST['haslo_1']) );
      $tresc = 'WizyTówka została poprawnie zainstalowana i jest gotowa do pracy. Poniżej zamieszczono dane twojej witryny internetowej.' . "\n\n" . 'Adres strony: ' . $_POST['adres'] . "\n" . 'Panel administracyjny: ' . $adres_admin . "\n" . 'Hasło: ' . $haslo . "\n\n" . 'Miłego dnia!';
      wiadomosc( $tresc );
      
      $zakonczenie_instalacji = true;
    
    }
    
    else
      $komunikat = 'Wystąpił błąd przy tworzeniu katalogu <em>' . $blad . '</em>.';
  
  }

}

?>
<!doctype html>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title>WizyTówka</title>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/pliki/form.css" />
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>

<div class="form">

<header><h1>WizyTówka</h1></header>

<form method="post">

<?php if ( !empty($komunikat) ) { ?>
<fieldset class="komunikat">

<legend>&nbsp;</legend>

<div>
<?php echo $komunikat; ?>
</div>

</fieldset>
<?php } ?>

<?php if ( $zakonczenie_instalacji ) { ?>
<fieldset>

<legend>Zakończenie instalacji</legend>

<p>Instalacja WizyTówki przebiegła pomyślnie. Twoja witryna jest już gotowa. Przejdź teraz do swojego panelu administracyjnego aby wypełnić pierwszą podstronę.</p>

</fieldset>

<fieldset>

<legend>Panel administracyjny</legend>

<p><strong><a href="admin.php"><?php echo $_POST['adres'] ?>/admin.php</a></strong></p>

</fieldset>
<?php } else { ?>
<fieldset>

<legend>Podstawowe dane</legend>

<table>
<tr> <td class="nazwa">Imię i nazwisko:</td> <td><input type="text" name="imie_i_nazwisko" required /></td> </tr>
<tr> <td class="nazwa">Hasło:</td> <td><input type="password" name="haslo_1" required /></td> </tr>
<tr> <td class="nazwa"></td> <td><input type="password" name="haslo_2" required /></td> </tr>
<tr> <td class="nazwa">Adres e-mail:</td> <td><input type="email" name="email" required /></td> </tr>
<tr> <td class="nazwa">Adres strony:</td> <td><input type="url" name="adres" required value="<?php
echo 'http://' . $_SERVER['SERVER_NAME'] . substr( $_SERVER['PHP_SELF'], 0, strlen($_SERVER['PHP_SELF'])-strlen(basename($_SERVER['PHP_SELF']))-1 );
?>" /></td> </tr>
</table>

</fieldset>

<fieldset>

<legend>Licencja</legend>

<div class="licencja">
<?php include(SYSTEM.'/admin/licencja.php'); ?>
</div>

<div>
<label><input type="checkbox" name="akceptacja_licencji" value="1" />akceptuję warunki licencji</label>
</div>

</fieldset>

<fieldset>

<legend>&nbsp;</legend>

<div>
<input type="submit" value="Zainstaluj" />
</div>

</fieldset>
<?php } ?>

</form>

</div>

</body>